## subtitlecomposer 0.5.3

=== CMakeLists.txt ===
PROJECT( subtitlecomposer )

FIND_PACKAGE( KDE4 REQUIRED )
# FIND_PACKAGE( Msgfmt REQUIRED )
FIND_PACKAGE( Gettext REQUIRED )

INCLUDE( KDE4Defaults )
INCLUDE( MacroLibrary )

ADD_SUBDIRECTORY( po )
ADD_SUBDIRECTORY( src )

=== doc/CMakeLists.txt ===
include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)

add_subdirectory( en )

=== po/CMakeLists.txt ===
ADD_SUBDIRECTORY( bg )
ADD_SUBDIRECTORY( cs )
ADD_SUBDIRECTORY( de )
ADD_SUBDIRECTORY( el )
ADD_SUBDIRECTORY( es )
ADD_SUBDIRECTORY( fr )
ADD_SUBDIRECTORY( pl )
ADD_SUBDIRECTORY( pt_BR )
ADD_SUBDIRECTORY( sr )
ADD_SUBDIRECTORY( sr@latin )

=== src/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_BINARY_DIR} # so files can find config.h
	${CMAKE_CURRENT_SOURCE_DIR} # so that we can refer to our files starting at src dir
	${KDE4_INCLUDES} # so we don't need to include it in other files
	${QT_INCLUDES} # same as previous
)

ADD_DEFINITIONS( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -fexceptions -DHAVE_CONFIG_H )

# the subdirs must be added in a specific order
# if one dir uses code from another, its CMakeLists.txt will reference variables
# defined in the dependency directory that must be created before the former
# CMakeLists.txt is processed

ADD_SUBDIRECTORY( common )
ADD_SUBDIRECTORY( core )
ADD_SUBDIRECTORY( formats )
ADD_SUBDIRECTORY( config ) # depends on common
ADD_SUBDIRECTORY( widgets )
ADD_SUBDIRECTORY( player )
ADD_SUBDIRECTORY( main )

# do the configuration of config.h at the end, so all the necessary variables have been set
CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

=== doc/en/CMakeLists.txt ===
include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en )

=== po/cs/CMakeLists.txt ===
FILE( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( cs ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/de/CMakeLists.txt ===
FILE( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( de ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/el/CMakeLists.txt ===
FILE( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( el ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/es/CMakeLists.txt ===
FILE( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( es ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/fr/CMakeLists.txt ===
FILE( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( fr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/pl/CMakeLists.txt ===
FILE( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( pl ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/pt_BR/CMakeLists.txt ===
FILE( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( pt_BR ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
subtitlecomposer (0.5.3-4ubuntu1) trusty; urgency=medium

  * debian/rules:
    - Make sure the test binaries are compiled before running dh_auto_test,
      this fixes a FTBFS in Ubuntu.

 -- Andreas Moog <andreas.moog@warperbbs.de>  Thu, 23 Jan 2014 21:11:56 +0100

subtitlecomposer (0.5.3-4) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Using ${xine-x:Depends} provided by dh_xine (Closes: #575124).
  * Point debian/control Vcs fields to the new Git repository.
  * Build depend on libxine2-dev instead of libxine-dev (Closes: #724751).
  * Add link_against_x11.diff (Closes: #713576).
  * Bump Standards-Version to 3.9.4, no changes required.
  * Update lintian overrides.

  [ Maximiliano Curia ]
  * Update vcs fields.
  * Migrate cdbs to dh 9.
  * Add myself as uploader.
  * Add lintian override, xine addon provided by libxine2-dev.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Nov 2013 10:26:58 +0100

subtitlecomposer (0.5.3-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Added 04_fix_ftbfs_gcc_4_5.diff (Closes: #565078).
  * Added "DEB_KDE_LINK_WITH_AS_NEEDED := yes" to debian/rules.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 14 Jan 2010 15:30:06 +0100

subtitlecomposer (0.5.3-2) unstable; urgency=low

  * Added patches to avoid an FTBFS when compiling with binutils-gold:
    + 01_link_gobject.diff
    + 02_link_krosscore.diff
    + 03_link_phonon.diff
  * Bump Standards Version to 3.8.3, no changes needed.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 13 Nov 2009 19:48:15 +0100

subtitlecomposer (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Dropped the following patches because upstream fixed the issues:
    + debian/patches/missing_gstreamer_headers.patch
    + debian/patches/missing_phonon_link.patch
    + debian/patches/textoverlay_fix.patch
  * No build-depend on quilt since there are no patches to apply.
  * Don't install KRAZY file because upstream is not provinding it for this
    release.
  * Bump Standards Version to 3.8.2, no changes needed.
  * Added lintian overrides for ruby scripts intended to be ran using Kross.
  * Refreshed man page, generated with kdemangen.pl and edited by hand to avoid
    lintian warnings.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 19 Jun 2009 00:41:55 +0200

subtitlecomposer (0.5.2-1) unstable; urgency=low

  * Manpage generated with kdemangen.pl and edited by hand to avoid lintian
    warnings.
  * Patches to fix missing library links/headers:
    + debian/patches/missing_gstreamer_headers.patch
    + debian/patches/missing_phonon_link.patch
  * Patch to make the video player work:
    + debian/patches/textoverlay_fix.patch
  * Initial release (Closes: #516372).

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 19 May 2009 00:47:30 +0200

=== debian/control ===
Source: subtitlecomposer
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools,
 kdelibs5-dev, libgstreamer-plugins-base0.10-dev, libglib2.0-dev, libxml2-dev,
 libxine2-dev, libx11-dev
Standards-Version: 3.9.4
Homepage: http://sourceforge.net/projects/subcomposer
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/subtitlecomposer.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/subtitlecomposer.git

Package: subtitlecomposer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}
Suggests: mplayer
Description: Subtitles editor for KDE
 A text-based subtitles editor for KDE supporting basic operations (text,
 time and style edition), realtime previewing and spell checking. Other
 fancy features are delaying all subtitles in the current subtitle file,
 checking errors or creating translations.
 .
 Different backends (GStreamer, MPlayer, Phonon or xine) can be used to play
 the realtime video preview which helps to synchronize the subtitles.

=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR ?= obj-$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ --parallel --with=kde,xine --builddir=$(BUILDDIR)

override_dh_install:
	dh_install

override_dh_auto_test:
	cd $(BUILDDIR) && make buildtests
	dh_auto_test

=== debian/watch ===
version=3
http://sf.net/subcomposer/subtitlecomposer-(.*)\.tar\.bz2

## subtitlecomposer 0.5.7

=== CMakeLists.txt ===
PROJECT(subtitlecomposer)

FIND_PACKAGE(KDE4 REQUIRED)
# FIND_PACKAGE(Msgfmt REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)

INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)

ADD_SUBDIRECTORY(po)
ADD_SUBDIRECTORY(src)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,11 @@
 ADD_SUBDIRECTORY( el )
 ADD_SUBDIRECTORY( es )
 ADD_SUBDIRECTORY( fr )
+ADD_SUBDIRECTORY( hr )
+ADD_SUBDIRECTORY( hu )
 ADD_SUBDIRECTORY( pl )
 ADD_SUBDIRECTORY( pt_BR )
+ADD_SUBDIRECTORY( ru )
 ADD_SUBDIRECTORY( sr )
 ADD_SUBDIRECTORY( sr@latin )
+ADD_SUBDIRECTORY( uk )

=== src/CMakeLists.txt ===
if(NOT CMAKE_BUILD_TYPE)
	message(STATUS "No build type selected, default to Release")
	set(CMAKE_BUILD_TYPE "Release")
endif()

if(CMAKE_COMPILER_IS_GNUCC)
	message(STATUS "GNU C compiler detected")
	set(CMAKE_C_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -O0 -g")
	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -O0 -g")
	set(CMAKE_C_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -O2 -pipe -fstack-protector --param=ssp-buffer-size=4")
	set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -O2 -pipe -fstack-protector --param=ssp-buffer-size=4")
	set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELEASE} -g")
	set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELEASE} -g")
endif()

INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_BINARY_DIR} # so files can find config.h
	${CMAKE_CURRENT_SOURCE_DIR} # so that we can refer to our files starting at src dir
	${KDE4_INCLUDES} # so we don't need to include it in other files
	${QT4_INCLUDES} # same as previous
)

ADD_DEFINITIONS(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -fexceptions -DHAVE_CONFIG_H)
add_definitions(-D_DEFAULT_SOURCE)

# the subdirs must be added in a specific order
# if one dir uses code from another, its CMakeLists.txt will reference variables
# defined in the dependency directory that must be created before the former
# CMakeLists.txt is processed

ADD_SUBDIRECTORY(common)
ADD_SUBDIRECTORY(core)
ADD_SUBDIRECTORY(formats)
ADD_SUBDIRECTORY(config) # depends on common
ADD_SUBDIRECTORY(widgets)
ADD_SUBDIRECTORY(services)
ADD_SUBDIRECTORY(main)

# do the configuration of config.h at the end, so all the necessary variables have been set
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

=== po/bg/CMakeLists.txt ===
FILE( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( bg ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/hr/CMakeLists.txt ===
FILE( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( hr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/hu/CMakeLists.txt ===
FILE( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( hu ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/it/CMakeLists.txt ===
FILE( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( it ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/ru/CMakeLists.txt ===
FILE( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( ru ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/sr/CMakeLists.txt ===
FILE( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( sr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/uk/CMakeLists.txt ===
FILE( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( uk ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== src/common/CMakeLists.txt ===
SET( common_LIBS
	${KDE4_KIO_LIBS}
	CACHE INTERNAL EXPORTEDVARIABLE
)

SET( common_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/commondefs.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/qxtsignalwaiter.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/fileloadhelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/filesavehelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/filetrasher.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/languagecode.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)

=== src/config/CMakeLists.txt ===
SET( config_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/appconfig.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/appconfiggroup.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/appconfiggroupwidget.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)

=== debian/changelog ===
subtitlecomposer (0.5.7-1) unstable; urgency=medium

  [ Martin Steghöfer ]
  * Imported Upstream version 0.5.7 (Closes: #571687, #704067, #776326,
    #799957).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 11:33:42 +0200

=== debian/control ===
Source: subtitlecomposer
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools,
 kdelibs5-dev, libgstreamer-plugins-base1.0-dev, libglib2.0-dev, libxml2-dev,
 libxine2-dev, libx11-dev
Build-Conflicts: qt5-default
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/subcomposer
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/subtitlecomposer.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/subtitlecomposer.git

Package: subtitlecomposer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}
Suggests: mplayer2
Description: Subtitles editor for KDE
 A text-based subtitles editor for KDE supporting basic operations (text,
 time and style edition), realtime previewing and spell checking. Other
 fancy features are delaying all subtitles in the current subtitle file,
 checking errors or creating translations.
 .
 Different backends (GStreamer, MPlayer, Phonon or xine) can be used to play
 the realtime video preview which helps to synchronize the subtitles.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with=kde,xine

override_dh_install:
	dh_install

## subtitlecomposer 0.6.3

=== CMakeLists.txt ===
project(subtitlecomposer)

cmake_minimum_required(VERSION 2.8.12)
set(QT_MIN_VERSION "5.2.0")

#set(CMAKE_CXX_STANDARD 11)
#set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM 1.2.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

cmake_policy(SET CMP0043 NEW)
if(CMAKE_VERSION VERSION_GREATER 3.3.0)
	cmake_policy(SET CMP0063 NEW)
endif(CMAKE_VERSION VERSION_GREATER 3.3.0)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

include(ECMInstallIcons)

include(ECMAddTests) # build tests

include(FeatureSummary)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Test)

find_package(KF5 REQUIRED
	Auth Config ConfigWidgets CoreAddons I18n KIO XmlGui
	Sonnet Kross Codecs TextWidgets WidgetsAddons)

add_subdirectory(po)
add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,29 +13,40 @@
 	set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELEASE} -g")
 endif()
 
-INCLUDE_DIRECTORIES(
+include_directories(
 	${CMAKE_CURRENT_BINARY_DIR} # so files can find config.h
 	${CMAKE_CURRENT_SOURCE_DIR} # so that we can refer to our files starting at src dir
-	${KDE4_INCLUDES} # so we don't need to include it in other files
-	${QT4_INCLUDES} # same as previous
+	${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS} ${Qt5Gui_INCLUDE_DIRS}
 )
 
-ADD_DEFINITIONS(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -fexceptions -DHAVE_CONFIG_H)
+add_definitions(${QT_DEFINITIONS} -fexceptions -DHAVE_CONFIG_H)
 add_definitions(-D_DEFAULT_SOURCE)
+
+find_package(Phonon4Qt5 4.6.60 QUIET REQUIRED NO_MODULE)
+set_package_properties(Phonon4Qt5 PROPERTIES
+   DESCRIPTION "Qt-based audio library"
+   TYPE REQUIRED)
 
 # the subdirs must be added in a specific order
 # if one dir uses code from another, its CMakeLists.txt will reference variables
 # defined in the dependency directory that must be created before the former
 # CMakeLists.txt is processed
 
-ADD_SUBDIRECTORY(common)
-ADD_SUBDIRECTORY(core)
-ADD_SUBDIRECTORY(formats)
-ADD_SUBDIRECTORY(config) # depends on common
-ADD_SUBDIRECTORY(widgets)
-ADD_SUBDIRECTORY(services)
-ADD_SUBDIRECTORY(main)
+set(SC_PLUGIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}/subtitlecomposer CACHE INTERNAL EXPORTEDVARIABLE)
+
+add_subdirectory(common)
+add_subdirectory(core)
+add_subdirectory(formats)
+add_subdirectory(widgets)
+add_subdirectory(videoplayer)
+add_subdirectory(streamprocessor)
+add_subdirectory(speechprocessor)
+add_subdirectory(main)
+
+add_subdirectory(videoplayerplugins)
+
+add_subdirectory(speechplugins)
 
 # do the configuration of config.h at the end, so all the necessary variables have been set
-CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

=== src/common/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,12 @@
-SET( common_LIBS
-	${KDE4_KIO_LIBS}
+set(common_LIBS
+	KF5::CoreAddons KF5::WidgetsAddons KF5::TextWidgets KF5::Codecs
+	KF5::SonnetCore KF5::SonnetUi
+	KF5::KIOCore KF5::KIOFileWidgets KF5::KIOWidgets KF5::KIONTLM
+	KF5::KrossCore KF5::KrossUi KF5::XmlGui KF5::I18n
 	CACHE INTERNAL EXPORTEDVARIABLE
 )
 
-SET( common_SRCS
+set(common_SRCS
 	${CMAKE_CURRENT_SOURCE_DIR}/commondefs.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/qxtsignalwaiter.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/fileloadhelper.cpp

=== src/formats/CMakeLists.txt ===
# each format appends its files to formats_SRCS
add_subdirectory(microdvd)
add_subdirectory(mplayer)
add_subdirectory(mplayer2)
add_subdirectory(subrip)
add_subdirectory(substationalpha)
add_subdirectory(subviewer1)
add_subdirectory(subviewer2)
add_subdirectory(tmplayer)
add_subdirectory(youtubecaptions)
add_subdirectory(textdemux)

set(formats_DEFS
	${formats_microdvd_DEFS}
	${formats_mplayer_DEFS}
	${formats_mplayer2_DEFS}
	${formats_subrip_DEFS}
	${formats_substationalpha_DEFS}
	${formats_subviewer1_DEFS}
	${formats_subviewer2_DEFS}
	${formats_tmplayer_DEFS}
	${formats_youtubecaptions_DEFS}
	${formats_textdemux_DEFS}
	CACHE INTERNAL EXPORTEDVARIABLE
)

set(formats_LIBS
	${formats_microdvd_LIBS}
	${formats_mplayer_LIBS}
	${formats_mplayer2_LIBS}
	${formats_subrip_LIBS}
	${formats_substationalpha_LIBS}
	${formats_subviewer1_LIBS}
	${formats_subviewer2_LIBS}
	${formats_tmplayer_LIBS}
	${formats_youtubecaptions_LIBS}
	${formats_textdemux_LIBS}
	CACHE INTERNAL EXPORTEDVARIABLE
)

set(formats_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/format.h
	${CMAKE_CURRENT_SOURCE_DIR}/formatmanager.h
	${CMAKE_CURRENT_SOURCE_DIR}/inputformat.h
	${CMAKE_CURRENT_SOURCE_DIR}/outputformat.h
	${CMAKE_CURRENT_SOURCE_DIR}/formatmanager.cpp
	${formats_microdvd_SRCS}
	${formats_mplayer_SRCS}
	${formats_mplayer2_SRCS}
	${formats_subrip_SRCS}
	${formats_substationalpha_SRCS}
	${formats_subviewer1_SRCS}
	${formats_subviewer2_SRCS}
	${formats_tmplayer_SRCS}
	${formats_youtubecaptions_SRCS}
	${formats_textdemux_SRCS}
	CACHE INTERNAL EXPORTEDVARIABLE
)

find_package(ICU)
if(ICU_FOUND)
	message(STATUS "FOUND FOUND")

	set(HAVE_ICU 1 CACHE INTERNAL EXPORTEDVARIABLE)

	include_directories(${ICU_INCLUDE_DIRS})

	set(formats_DEFS
		${ICU_DEFINITIONS}
		${formats_DEFS}
		CACHE INTERNAL EXPORTEDVARIABLE)
	set(formats_LIBS
		${ICU_LIBRARIES}
		${formats_LIBS}
		CACHE INTERNAL EXPORTEDVARIABLE)

endif(ICU_FOUND)

=== src/main/CMakeLists.txt ===
add_subdirectory(configs)
add_subdirectory(dialogs)
add_subdirectory(icons)
add_subdirectory(actions)
add_subdirectory(utils)
add_subdirectory(scripting)

include_directories(
	${common_INCLUDE_DIR}
	${core_INCLUDE_DIR}
	${formats_INCLUDE_DIR}
	${videoplayer_INCLUDE_DIR}
	${streamprocessor_INCLUDE_DIR}
	${speechprocessor_INCLUDE_DIR}
	${widgets_INCLUDE_DIR}
)

set(subtitlecomposer_SRCS
	${common_SRCS}
	${core_SRCS}
	${formats_SRCS}
	${videoplayer_SRCS}
	${streamprocessor_SRCS}
	${speechprocessor_SRCS}
	${widgets_SRCS}
	${main_configs_SRCS}
	${main_dialogs_SRCS}
	${main_actions_SRCS}
	${main_utils_SRCS}
	${main_scripting_SRCS}
	${CMAKE_CURRENT_SOURCE_DIR}/application.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/currentlinewidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/errorsdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/errorswidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/lineswidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/mainwindow.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/playerwidget.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)

kconfig_add_kcfg_files(subtitlecomposer_SRCS GENERATE_MOC ${CMAKE_CURRENT_SOURCE_DIR}/scconfig.kcfgc)

add_executable(subtitlecomposer ${subtitlecomposer_SRCS})

qt5_use_modules(subtitlecomposer Core Widgets)

# Xine videoplayer plugin needs XInitThreads() call in main
# optional since Xine will not be built without X11
find_package(X11 QUIET)

target_link_libraries(subtitlecomposer
	${common_LIBS}
	${core_LIBS}
	${formats_LIBS}
	${videoplayer_LIBS}
	${streamprocessor_LIBS}
	${speechprocessor_LIBS}
	${widgets_LIBS}
	${X11_LIBRARIES}
)

add_definitions(
	${common_DEFS}
	${core_DEFS}
	${formats_DEFS}
	${videoplayer_DEFS}
	${streamprocessor_DEFS}
	${speechprocessor_DEFS}
	${widgets_DEFS}
)

install(TARGETS subtitlecomposer DESTINATION ${BIN_INSTALL_DIR})

install(FILES subtitlecomposerrc DESTINATION ${CONFIG_INSTALL_DIR})
install(FILES subtitlecomposerui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/subtitlecomposer)
install(FILES subtitlecomposer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES subtitlecomposer.xml DESTINATION ${XDG_MIME_INSTALL_DIR})

=== src/videoplayerplugins/CMakeLists.txt ===
set(videoplayerplugins_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/../videoplayer/videoplayer.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/../videoplayer/playerbackend.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/../videoplayer/videowidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/scconfigdummy.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)

find_package(GStreamer QUIET)
find_package(GStreamerPlugins QUIET)
if(GSTREAMER_FOUND AND GSTREAMER_PLUGIN_VIDEO_FOUND)
	set(HAVE_GSTREAMER 1 CACHE INTERNAL EXPORTEDVARIABLE)
	message(STATUS "Found GStreamer: ${GSTREAMER_LIBRARIES} (version ${GSTREAMER_VERSION})")
	add_subdirectory(gstreamer)
else(GSTREAMER_FOUND AND GSTREAMER_PLUGIN_VIDEO_FOUND)
	message(STATUS "GStreamer and/or GStreamer Video was not found. GStreamer backend will not be built")
endif(GSTREAMER_FOUND AND GSTREAMER_PLUGIN_VIDEO_FOUND)

find_package(MPV QUIET)
if(MPV_FOUND)
	set(HAVE_MPV 1 CACHE INTERNAL EXPORTEDVARIABLE)
	message(STATUS "Found MPV: ${MPV_LIBRARIES} (version ${MPV_VERSION})")
	add_subdirectory(mpv)
else(MPV_FOUND)
	message(STATUS "MPV was not found. MPV backend will not be built")
endif(MPV_FOUND)

add_subdirectory(mplayer)

add_subdirectory(phonon)

find_package(Xine)
find_package(X11 QUIET)
if(XINE_FOUND AND X11_FOUND)
	set(HAVE_XINE 1 CACHE INTERNAL EXPORTEDVARIABLE)
	add_subdirectory(xine)
else(XINE_FOUND AND X11_FOUND)
	message(STATUS "Xine/X11 was not found. Xine backend will not be built")
endif(XINE_FOUND AND X11_FOUND)

=== src/main/configs/CMakeLists.txt ===
set(main_configs_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/configdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/errorsconfigwidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/errorsconfigwidget.ui
	${CMAKE_CURRENT_SOURCE_DIR}/generalconfigwidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/generalconfigwidget.ui
	${CMAKE_CURRENT_SOURCE_DIR}/playerconfigwidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/playerconfigwidget.ui
	${CMAKE_CURRENT_SOURCE_DIR}/waveformconfigwidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/waveformconfigwidget.ui
	CACHE INTERNAL EXPORTEDVARIABLE
)

=== src/main/dialogs/CMakeLists.txt ===
set(main_dialogs_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/opensubtitledialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/savesubtitledialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/actiondialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/actionwithtargetdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/selectablesubtitledialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/adjusttimesdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/shifttimesdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/autodurationsdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/durationlimitsdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/changetextscasedialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/fixoverlappingtimesdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/fixpunctuationdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/translatedialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/smarttextsadjustdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/changeframeratedialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/joinsubtitlesdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/splitsubtitledialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/subtitlecolordialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/syncsubtitlesdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/actionwitherrortargetsdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/checkerrorsdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/clearerrorsdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/insertlinedialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/removelinesdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/progressdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/textinputdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/textinputdialog.ui
	${CMAKE_CURRENT_SOURCE_DIR}/intinputdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/intinputdialog.ui
	CACHE INTERNAL EXPORTEDVARIABLE
)

=== src/main/scripting/CMakeLists.txt ===
add_subdirectory(examples)

set(main_scripting_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/scripting_rangesmodule.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/scripting_stringsmodule.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/scripting_subtitlemodule.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/scripting_subtitlelinemodule.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/scripting_list.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/scripting_range.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/scripting_rangelist.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/scripting_sstring.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/scripting_subtitle.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/scripting_subtitleline.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/scriptsmanager.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/scriptsmanager.ui
	CACHE INTERNAL EXPORTEDVARIABLE
)

=== src/videoplayerplugins/gstreamer/CMakeLists.txt ===
find_package(GLIB2 REQUIRED QUIET)
find_package(GObject REQUIRED QUIET)

set(videoplayer_gstreamer_INCLUDE_DIR
	${GLIB2_INCLUDE_DIR}
	${GSTREAMER_INCLUDE_DIR}
	${GSTREAMER_VIDEO_PLUGINNAME_INCLUDE_DIR}
	CACHE INTERNAL EXPORTEDVARIABLE
)
set(videoplayer_gstreamer_DEFS
	${GOBJECT_DEFINITIONS}
	CACHE INTERNAL EXPORTEDVARIABLE
)
set(videoplayer_gstreamer_LIBS
	${GLIB2_LIBRARIES}
	${GOBJECT_LIBRARIES}
	${GSTREAMER_LIBRARIES}
	${GSTREAMER_PLUGIN_VIDEO_LIBRARY}
	CACHE INTERNAL EXPORTEDVARIABLE
)
set(videoplayer_gstreamer_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/gstreamerplayerbackend.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gstreamerconfigwidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/gstreamerconfigwidget.ui
	${CMAKE_CURRENT_SOURCE_DIR}/../../streamprocessor/gstreamer.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/../../common/languagecode.cpp
	${videoplayerplugins_SRCS}
	CACHE INTERNAL EXPORTEDVARIABLE
)

add_library(gstplayer MODULE ${videoplayer_gstreamer_SRCS})

install(TARGETS gstplayer DESTINATION ${SC_PLUGIN_INSTALL_DIR})

target_include_directories(gstplayer SYSTEM PRIVATE ${videoplayer_gstreamer_INCLUDE_DIR})
set_target_properties(gstplayer PROPERTIES COMPILE_FLAGS "${videoplayer_gstreamer_DEFS}")
target_link_libraries(gstplayer ${common_LIBS} ${videoplayer_gstreamer_LIBS})
qt5_use_modules(gstplayer Core)

add_dependencies(gstplayer subtitlecomposer)

=== src/videoplayerplugins/mplayer/CMakeLists.txt ===
set(videoplayer_mplayer_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/mediadata.h
	${CMAKE_CURRENT_SOURCE_DIR}/mplayerplayerbackend.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/mplayerplayerprocess.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/mplayerconfigwidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/mplayerconfigwidget.ui
	${CMAKE_CURRENT_SOURCE_DIR}/../../common/qxtsignalwaiter.cpp
	${videoplayerplugins_SRCS}
	CACHE INTERNAL EXPORTEDVARIABLE
)

add_library(mplayer MODULE ${videoplayer_mplayer_SRCS})

install(TARGETS mplayer DESTINATION ${SC_PLUGIN_INSTALL_DIR})

target_include_directories(mplayer SYSTEM PRIVATE ${videoplayer_mplayer_INCLUDE_DIR})
set_target_properties(mplayer PROPERTIES COMPILE_FLAGS "${videoplayer_mplayer_DEFS}")
target_link_libraries(mplayer ${common_LIBS} ${videoplayer_mplayer_LIBS})

qt5_use_modules(mplayer Core)

add_dependencies(mplayer subtitlecomposer)

=== src/videoplayerplugins/mpv/CMakeLists.txt ===
set(videoplayer_mpv_INCLUDE_DIR
	${MPV_INCLUDE_DIRS}
	CACHE INTERNAL EXPORTEDVARIABLE
)
set(videoplayer_mpv_DEFS
	${MPV_DEFINITIONS}
	CACHE INTERNAL EXPORTEDVARIABLE
)
set(videoplayer_mpv_LIBS
	${MPV_LIBRARIES}
	CACHE INTERNAL EXPORTEDVARIABLE
)
set(videoplayer_mpv_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/mpvbackend.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/mpvconfigwidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/mpvconfigwidget.ui
	${videoplayerplugins_SRCS}
	CACHE INTERNAL EXPORTEDVARIABLE
)

add_library(mpvplayer MODULE ${videoplayer_mpv_SRCS})

install(TARGETS mpvplayer DESTINATION ${SC_PLUGIN_INSTALL_DIR})

target_include_directories(mpvplayer SYSTEM PRIVATE ${videoplayer_mpv_INCLUDE_DIR})
set_target_properties(mpvplayer PROPERTIES COMPILE_FLAGS "${videoplayer_mpv_DEFS}")
target_link_libraries(mpvplayer ${common_LIBS} ${videoplayer_mpv_LIBS})
qt5_use_modules(mpvplayer Core)

add_dependencies(mpvplayer subtitlecomposer)

=== debian/changelog ===
subtitlecomposer (0.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix Vcs-Git field.
  * Update the patches:
    - link-x11.diff: drop, fixed upstream
  * Fix the loading of videoplayer plugins; patch fix-plugins-loading.diff.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Apr 2016 00:04:04 +0200

subtitlecomposer (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev
    - add qtbase5-dev, extra-cmake-modules,  libkf5auth-dev, libkf5codecs-dev,
      libkf5config-dev, libkf5configwidgets-dev, libkf5coreaddons-dev,
      libkf5i18n-dev, kio-dev, kross-dev, libkf5sonnet-dev,
      libkf5textwidgets-dev, libkf5widgetsaddons-dev, libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Update Homepage to the new github home.
  * Drop menu file, since subtitlecomposer already provides a .desktop file.
  * Remove useless dh_install override, since it does the same thing.
  * Update the build dependencies:
    - add libphonon4qt5-dev, libphonon4qt5experimental-dev, libicu-dev,
      libmpv-dev, and libxcb1-dev, needed by the new version
    - remove unused libxml2-dev
    - make pkg-config explicit
  * Update the Vcs-* fields.
  * Update the patches:
    - 0001-Link-phonon.patch: drop, fixed upstream
    - 0002-Link-against-X11.patch: drop, reworking it in a new link-x11.diff
    - 0003-Find-platform-dependant-include-files-of-GStreamer.patch: drop,
      fixed upstream
    - 0004-Fix-crash-Sonnet-Dialog-cannot-handle-empty-buffers.patch: drop,
      obsolete
  * The test suite needs X11, so:
    - add the xvfb and xauth build dependencies
    - run dh_auto_test with xvfb-run
  * Update lintian overrides.
  * Link in as-needed mode.
  * Bump Standards-Version to 3.9.7, no changes required.
  * Remove no more useful Build-Conflicts: qt5-default.
  * Switch mplayer2 suggest to mplayer.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Mar 2016 13:13:26 +0200

=== debian/control ===
Source: subtitlecomposer
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.15.16),
 qtbase5-dev,
 extra-cmake-modules (>= 1.2.0),
 libkf5auth-dev,
 libkf5codecs-dev,
 libkf5config-dev,
 libkf5configwidgets-dev,
 libkf5coreaddons-dev,
 libkf5i18n-dev,
 kio-dev,
 kross-dev,
 libkf5sonnet-dev,
 libkf5textwidgets-dev,
 libkf5widgetsaddons-dev,
 libkf5xmlgui-dev,
 libphonon4qt5-dev, libphonon4qt5experimental-dev,
 pkg-config,
 libgstreamer-plugins-base1.0-dev, libglib2.0-dev,
 libxine2-dev, libx11-dev,
 libicu-dev,
 libmpv-dev,
 libxcb1-dev,
# for tests:
 xvfb, xauth,
Standards-Version: 3.9.7
Homepage: https://github.com/maxrd2/subtitlecomposer
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/subtitlecomposer.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/subtitlecomposer.git

Package: subtitlecomposer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}
Suggests: mplayer
Description: Subtitles editor for KDE
 A text-based subtitles editor for KDE supporting basic operations (text,
 time and style edition), realtime previewing and spell checking. Other
 fancy features are delaying all subtitles in the current subtitle file,
 checking errors or creating translations.
 .
 Different backends (GStreamer, MPlayer, Phonon or xine) can be used to play
 the realtime video preview which helps to synchronize the subtitles.

## subtitlecomposer 0.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,9 +25,6 @@
 include(FeatureSummary)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
-set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
-set(CMAKE_AUTOUIC ON)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Test)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
 # CMakeLists.txt is processed
 
 set(SC_PLUGIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}/subtitlecomposer CACHE INTERNAL EXPORTEDVARIABLE)
+message(STATUS "Subtitle Composer plugin path: ${SC_PLUGIN_INSTALL_DIR}")
 
 add_subdirectory(common)
 add_subdirectory(core)

=== po/it/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(it ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files})

=== src/common/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 
 set(common_SRCS
 	${CMAKE_CURRENT_SOURCE_DIR}/commondefs.cpp
-	${CMAKE_CURRENT_SOURCE_DIR}/qxtsignalwaiter.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/fileloadhelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/filesavehelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/filetrasher.cpp

=== src/formats/CMakeLists.txt ===
--- 
+++ 
@@ -59,7 +59,7 @@
 
 find_package(ICU)
 if(ICU_FOUND)
-	message(STATUS "FOUND FOUND")
+	message(STATUS "ICU Library will be used for charset detection.")
 
 	set(HAVE_ICU 1 CACHE INTERNAL EXPORTEDVARIABLE)
 
@@ -73,5 +73,6 @@
 		${ICU_LIBRARIES}
 		${formats_LIBS}
 		CACHE INTERNAL EXPORTEDVARIABLE)
-
+else(ICU_FOUND)
+	message(STATUS "ICU Library not found. KEncodingProber fallback will be used for charset detection.")
 endif(ICU_FOUND)

=== src/main/CMakeLists.txt ===
--- 
+++ 
@@ -41,6 +41,11 @@
 
 kconfig_add_kcfg_files(subtitlecomposer_SRCS GENERATE_MOC ${CMAKE_CURRENT_SOURCE_DIR}/scconfig.kcfgc)
 
+ki18n_wrap_ui(subtitlecomposer_SRCS
+	${main_configs_UIS}
+	${main_dialogs_UIS}
+	${main_scripting_UIS})
+
 add_executable(subtitlecomposer ${subtitlecomposer_SRCS})
 
 qt5_use_modules(subtitlecomposer Core Widgets)

=== src/speechplugins/CMakeLists.txt ===
set(speechplugins_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/../speechprocessor/speechplugin.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/scconfigdummy.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)

find_package(PocketSphinx QUIET)
if(POCKETSPHINX_FOUND)
	message(STATUS "Found PocketSphinx version ${POCKETSPHINX_VERSION}")
	add_subdirectory(pocketsphinx)
else(POCKETSPHINX_FOUND)
	message(WARNING "PocketSphinx not found - Speech plugin will not be built")
endif(POCKETSPHINX_FOUND)

=== src/streamprocessor/CMakeLists.txt ===
find_package(GLIB2 REQUIRED QUIET)
find_package(GObject REQUIRED QUIET)
#find_package(LibXml2 REQUIRED QUIET)

find_package(GStreamer REQUIRED QUIET)
#find_package(GStreamerPlugins REQUIRED QUIET)

set(streamprocessor_INCLUDE_DIR
	${GLIB2_INCLUDE_DIR}
	${GSTREAMER_INCLUDE_DIR}
	CACHE INTERNAL EXPORTEDVARIABLE
)

set(streamprocessor_DEFS
	${GOBJECT_DEFINITIONS}
	CACHE INTERNAL EXPORTEDVARIABLE
)

set(streamprocessor_LIBS
	${GLIB2_LIBRARIES}
	${GOBJECT_LIBRARIES}
	${GSTREAMER_LIBRARIES}
	CACHE INTERNAL EXPORTEDVARIABLE
)

set(streamprocessor_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/gstreamer.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/streamprocessor.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)

=== src/videoplayerplugins/CMakeLists.txt ===
--- 
+++ 
@@ -16,24 +16,25 @@
 	message(STATUS "GStreamer and/or GStreamer Video was not found. GStreamer backend will not be built")
 endif(GSTREAMER_FOUND AND GSTREAMER_PLUGIN_VIDEO_FOUND)
 
-find_package(MPV QUIET)
+find_package(MPV 1.14 QUIET)
 if(MPV_FOUND)
 	set(HAVE_MPV 1 CACHE INTERNAL EXPORTEDVARIABLE)
-	message(STATUS "Found MPV: ${MPV_LIBRARIES} (version ${MPV_VERSION})")
+	message(STATUS "Found LibMPV: ${MPV_LIBRARIES} (version ${MPV_VERSION})")
 	add_subdirectory(mpv)
 else(MPV_FOUND)
-	message(STATUS "MPV was not found. MPV backend will not be built")
+	message(STATUS "LibMPV v1.14+ was not found. MPV backend will not be built. (Found version ${MPV_VERSION})")
 endif(MPV_FOUND)
 
 add_subdirectory(mplayer)
 
 add_subdirectory(phonon)
 
-find_package(Xine)
+find_package(Xine 1.1.9 QUIET)
 find_package(X11 QUIET)
 if(XINE_FOUND AND X11_FOUND)
 	set(HAVE_XINE 1 CACHE INTERNAL EXPORTEDVARIABLE)
+	message(STATUS "Found Xine: ${XINE_LIBRARY} (version ${XINE_VERSION})")
 	add_subdirectory(xine)
 else(XINE_FOUND AND X11_FOUND)
-	message(STATUS "Xine/X11 was not found. Xine backend will not be built")
+	message(STATUS "Xine v1.1.9+ and/or LibX11 was not found. Xine backend will not be built. (Found Xine version ${XINE_VERSION})")
 endif(XINE_FOUND AND X11_FOUND)

=== src/widgets/CMakeLists.txt ===
set(widgets_INCLUDE_DIR
	${CMAKE_CURRENT_SOURCE_DIR}/
	CACHE PATH EXPORTEDVARIABLE)

set(widgets_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/attachablewidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/layeredwidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/pointingslider.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/simplerichtextedit.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/textoverlaywidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/timeedit.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/timevalidator.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/treeview.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/waveformwidget.cpp
	CACHE INTERNAL EXPORTEDVARIABLE)

=== src/core/tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(
	${common_INCLUDE_DIR}
	${core_INCLUDE_DIR}
	${Qt5Test_INCLUDE_DIRS}
)

set(rangelisttest_SRCS rangelisttest.cpp)
add_executable(core-rangelisttest ${rangelisttest_SRCS})
add_test(subtitlecomposer core-rangelisttest)
ecm_mark_as_test(core-rangelisttest)
target_link_libraries(core-rangelisttest ${common_LIBS})
qt5_use_modules(core-rangelisttest Core Test)

set(rangetest_SRCS rangetest.cpp)
add_executable(core-rangetest ${rangetest_SRCS})
add_test(subtitlecomposer core-rangetest)
ecm_mark_as_test(core-rangetest)
target_link_libraries(core-rangetest ${common_LIBS})
qt5_use_modules(core-rangetest Core Test)

set(timetest_SRCS ../time.cpp timetest.cpp)
add_executable(core-timetest ${timetest_SRCS})
add_test(subtitlecomposer core-timetest)
ecm_mark_as_test(core-timetest)
target_link_libraries(core-timetest ${common_LIBS})
qt5_use_modules(core-timetest Core Test)

set(sstringtest_SRCS ../sstring.cpp sstringtest.cpp)
add_executable(core-sstringtest ${sstringtest_SRCS})
add_test(subtitlecomposer core-sstringtest)
ecm_mark_as_test(core-sstringtest)
target_link_libraries(core-sstringtest ${common_LIBS})
qt5_use_modules(core-sstringtest Core Test)

=== src/formats/textdemux/CMakeLists.txt ===
set(formats_microdvd_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/textdemux.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)

=== debian/changelog ===
subtitlecomposer (0.6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes build with GCC 6 (Closes: #812035)
  * Update copyright.
  * Update the patches:
    - fix-plugins-loading.diff: drop, fixed upstream
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 16 May 2016 08:28:08 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  libxcb1-dev,
 # for tests:
  xvfb, xauth,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/maxrd2/subtitlecomposer
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/subtitlecomposer.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/subtitlecomposer.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with=kf5,xine

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## subtitlecomposer 0.6.5

=== src/formats/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 add_subdirectory(tmplayer)
 add_subdirectory(youtubecaptions)
 add_subdirectory(textdemux)
+add_subdirectory(vobsub)
 
 set(formats_DEFS
 	${formats_microdvd_DEFS}
@@ -21,6 +22,7 @@
 	${formats_tmplayer_DEFS}
 	${formats_youtubecaptions_DEFS}
 	${formats_textdemux_DEFS}
+	${formats_vobsub_DEFS}
 	CACHE INTERNAL EXPORTEDVARIABLE
 )
 
@@ -35,6 +37,7 @@
 	${formats_tmplayer_LIBS}
 	${formats_youtubecaptions_LIBS}
 	${formats_textdemux_LIBS}
+	${formats_vobsub_LIBS}
 	CACHE INTERNAL EXPORTEDVARIABLE
 )
 
@@ -54,6 +57,13 @@
 	${formats_tmplayer_SRCS}
 	${formats_youtubecaptions_SRCS}
 	${formats_textdemux_SRCS}
+	${formats_vobsub_SRCS}
+	CACHE INTERNAL EXPORTEDVARIABLE
+)
+
+
+set(formats_UIS
+	${formats_vobsub_UIS}
 	CACHE INTERNAL EXPORTEDVARIABLE
 )

=== src/main/CMakeLists.txt ===
--- 
+++ 
@@ -42,6 +42,7 @@
 kconfig_add_kcfg_files(subtitlecomposer_SRCS GENERATE_MOC ${CMAKE_CURRENT_SOURCE_DIR}/scconfig.kcfgc)
 
 ki18n_wrap_ui(subtitlecomposer_SRCS
+	${formats_UIS}
 	${main_configs_UIS}
 	${main_dialogs_UIS}
 	${main_scripting_UIS})

=== src/formats/vobsub/CMakeLists.txt ===
add_subdirectory(mplayer)

set(formats_vobsub_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/vobsubinputformat.h
	${CMAKE_CURRENT_SOURCE_DIR}/vobsubinputinitdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/vobsubinputprocessdialog.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)

set(formats_vobsub_UIS
	${CMAKE_CURRENT_SOURCE_DIR}/vobsubinputinitdialog.ui
	${CMAKE_CURRENT_SOURCE_DIR}/vobsubinputprocessdialog.ui
	CACHE INTERNAL EXPORTEDVARIABLE
)

set(formats_vobsub_LIBS
	vobsubmplayer
	CACHE INTERNAL EXPORTEDVARIABLE
)

=== src/formats/vobsub/mplayer/CMakeLists.txt ===
string(CONCAT CMAKE_C_FLAGS "-std=gnu99 "
	"-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -D_REENTRANT "
	"-Wundef -Wall -Wno-switch -Wno-parentheses -Wpointer-arith -Wredundant-decls -Wstrict-prototypes -Wmissing-prototypes -Wdisabled-optimization -Wno-pointer-sign -Wdeclaration-after-statement")

set(mplayer_sources
  mp_msg.c
  mp_msg.h
  spudec.c
  spudec.h
  unrar_exec.c
  unrar_exec.h
  vobsub.c
  vobsub.h
  )

add_library(vobsubmplayer STATIC ${mplayer_sources})

=== debian/changelog ===
subtitlecomposer (0.6.5-1build1) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:55:44 +0000

subtitlecomposer (0.6.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Replace the transitional build dependencies:
    - kio-dev -> libkf5kio-dev
  * Update copyright.
  * Update the patches:
    - xine-cmake.diff: drop, backported from upstream
  * Do not install the upstream TODO as documentation, since it is not
    interesting for users, and in this case also basically empty.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Update Vcs-Browser field.

 -- Pino Toscano <pino@debian.org>  Fri, 29 Sep 2017 19:27:28 +0200

subtitlecomposer (0.6.4-2) unstable; urgency=medium

  * Team upload.
  * Remove support for Xine:
    - drop the libxine2-dev build dependency
    - stop mentioning it in the description
    - stop using the xine dh addon
    - stop mentioning the ${xine-x:Depends} variable
    - avoid cmake failure when Xine is not found; patch xine-cmake.diff.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Jun 2016 23:33:49 +0200
